;***********************************************************
; Definition diverser Register
;***********************************************************

.def	savesreg	= r0
			
.def	iwr0		= r1	; Register zur Tastenentprellung
.def	key_ct0		= r2
.def	key_ct1		= r3
.def	key_state	= r4
.def	key_press	= r5

.def	iwr1		= r6
.def	key_ct2		= r7
.def	key_ct3		= r8
.def	key_state2	= r9
.def	key_press2	= r10

.def	zaehler		= r26	; Zaehler fuer die Statusled

.def 	temp		= r16	; Temporaere Register
.def 	temp2		= r17
.def	temp3		= r18

.def	regcounter	= r19	; Register fuer Zifferposition
.def 	ziffer1		= r20	; Register fuer Ziffer 1
.def 	ziffer2		= r21	; Register fuer Ziffer 2
.def 	ziffer3		= r22	; Register fuer Ziffer 3
.def	ergebniss 	= r23	; Register zur Berechnung des Ergebnisses

.def 	flags		= r24	; Flagregister
.def 	bremszaehler	= r25	; Zaehler fuer die Bremsverzoegerung


.equ	startflag 	= 0
.equ	bremsflag	= 1


;***********************************************************
; Festlegung der Tasten
;***********************************************************
.equ	taste_0		= PD4
.equ	taste_1		= PD3
.equ	taste_2		= PD7
.equ	taste_3		= PB5
.equ	taste_4		= PD1
.equ	taste_5		= PD6
.equ	taste_6		= PB4
.equ	taste_7		= PD0
.equ	taste_8		= PD5
.equ	taste_9		= PB3
.equ	taste_stern	= PD2